using Microsoft.UI.Xaml;
using Microsoft.UI.Xaml.Controls;
using Microsoft.UI.Xaml.Controls.Primitives;
using Microsoft.UI.Xaml.Data;
using Microsoft.UI.Xaml.Input;
using Microsoft.UI.Xaml.Media;
using Microsoft.UI.Xaml.Navigation;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;

// To learn more about WinUI, the WinUI project structure,
// and more about our project templates, see: http://aka.ms/winui-project-info.

namespace wakka
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class BinkPage : Page
    {
        private readonly ObservableCollection<BinkPost> Binks = [];
        private static SshConnection Ssh { get; set; } = new SshConnection();

        public BinkPage()
        {
            this.InitializeComponent();
            var Bink = new Bink();
            var BinkList = Bink.AllBinks();
            if (BinkList != null)
            {
                foreach (var bink in BinkList)
                {
                    var date = DateTimeOffset.FromUnixTimeSeconds(bink.Time / 1000000000).DateTime.ToLocalTime();
                    bink.TimeString = date.ToString("HH:mm (dddd, MMMM dd, yyyy)");
                    Binks.Add(bink);
                }
            }
            binksListView.ItemsSource = Binks;
        }
    }
}
